#include <iostream>
using namespace std; 

int main()
{
	int n;
	cin >> n;
	if (n == 1) cout << 1;
	else if (n % 2 == 0)
		for (int i = n, j = 1; i > n / 2; i--, j++)
			cout << i << " " << j << " ";
	else
	{
		for (int i = n, j = 1; i > n / 2 + 1; i--, j++)
			cout << i << " " << j << " ";
		cout << n / 2 + 1;
	}
	return 0;
}